{
  "criteria": {
    "obtain_artifact": {
      "trigger": "minecraft:player_interacted_with_entity",
      "conditions": {
        "entity": {
          "minecraft:entity_type": "minecraft:interaction",
          "minecraft:entity_tags": {
            "any_of": [
              "lsi_artifact_interaction"
            ]
          }
        }
      }
    }
  },
  "requirements": [
    ["obtain_artifact"]
  ],
  "rewards": {
    "function": "lostskyislands:artifact/activated"
  }
}